
<div class="row">
  <div class="col-md-offset-3 col-md-6">
    <div [ngClass] = "{ 'panel'         : true,
                        'panel-default' : true,
                        'panel-danger'  : postLoveIt < 0,
                        'panel-success' : postLoveIt > 0 } " >

      <div class="panel-heading ">
        <p class="postTitle">{{ postTitle }}</p>
        <p class="postDate">Publié le : {{ postDate | date: 'dd/m/y à h:m:s' }}</p>
      </div>

      <div [ngClass] = "{ 'panel-body' : true,
                          'bg-danger'  : postLoveIt < 0,
                          'bg-success' : postLoveIt > 0 } " >

        <p class="text-justify">{{ postContent }}</p>
      </div>

      <div [ngClass] = "{ 'panel-footer': true,
                          'bg-danger'   : postLoveIt < 0 ,
                          'bg-success'  : postLoveIt > 0 } " >
        <button   class="btn btn-success"
                  (click)="onLoveIt()">Love It <span class="nbLoveIt">{{ postLoveIt }}</span></button>
        <button class="btn btn-danger"
                (click)="onDontLoveIt()">Don't Love It</button>

      </div>
      <!-- <div>{{ postLoveIt }}</div> -->
    </div>
  </div>
</div>

<br>
